#ifndef ZOOM_H
#define ZOOM_H

#define ZOOM_SWEEP_COUNT 4000

/* debug mode */
int zoom_init_real(int fd, int dozero);
#define zoom_init(fd) zoom_init_real(fd, 1)
#define zoom_init_nozero(fd) zoom_init_real(fd, 0)
int zoom_zero_start(int fd);
int zoom_zero_stop(int fd);
int zoom_sweep(int fd, int dac[ZOOM_SWEEP_COUNT], int adc[ZOOM_SWEEP_COUNT]);
int zoom_write_dac(int fd, int dac);

/* run mode */
void zoomrun_trigger_calibrate(int fd);

#endif

